cancel
Showing results for 
Search instead for 
Did you mean: 

zoom does not open on my window10"Your app version needs to be 5.14.5 or higher to sign in"

minmin1
Listener

When I try to sign in on my PC, it says "Your app version needs to be 5.14.5 or higher to sign in" I have downloaded a new version several times but it stays on the older version. I cannot find any customer service and I don't know what to do. Any advice will help. Thank you.

 

 

2 REPLIES 2

Bklevan24
Listener

I've been having the same issues, and nobody is able to help me

Frank_TB
Community Champion | Customer
Community Champion | Customer

Hello,

 

  1. Uninstall Zoom.
  2. Download the latest version of Zoom for your device
  3. Reinstall Zoom 

 

Uninstalling and reinstalling the Zoom application

 

https://support.zoom.com/hc/en/article?id=zm_kb&sysparm_article=KB0065146 

 

 

If my reply helped, don't forget to click the accept as solution button!